Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Reaction

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.standard.type.GenericEntity
                      biouml.standard.type.Referrer
                          biouml.standard.type.Reaction

All Implemented Interfaces:
  Base, DataCollection, DataElement, FormulaDelegate, MutableDataElement, Type

Direct Known Subclasses:
  Reaction

public class Reaction
extends Referrer
implements DataCollection, FormulaDelegate

Field Summary
`protected VectorDataCollection` | `collection` Primary collection.
`protected boolean` | `fast`
`protected KineticLaw` | `kineticLaw`
`protected static org.apache.log4j.Category` | `log`
`static java.text.DecimalFormat` | `NAME_FORMAT` Format to generate unique name for new reaction instance.
`protected boolean` | `reversible`

Fields inherited from class biouml.standard.type.GenericEntity
`comment`

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`Reaction(DataCollection origin, java.lang.String name)`

Method Summary
`void` | `addDataCollectionListener(DataCollectionListener l)` Add a listener to the list that's notified each time a change to the data collection occurs.
`void` | `close()` Closes data collection, releases all resources.
`boolean` | `contains(DataElement de)` Returns true if this data collection contains the specified element, false otherwise
`boolean` | `contains(java.lang.String name)` Returns true if this data collection contains the element with the specified name, false otherwise
`DataElement` | `get(java.lang.String name)` Returns the `DataElement` with the specified name.
`java.lang.String` | `getCompleteName()` Returns complete name of data collection.
`java.lang.Class` | `getDataElementType()` Returns the type of DataElements stored in the data collection.
`java.lang.String` | `getFormula()`
`DataCollectionInfo` | `getInfo()` Returns additional info for this data collection.
`KineticLaw` | `getKineticLaw()`
`java.util.List` | `getNameList()` Returns an unmodifiable view of the data element name list.
`int` | `getSize()` Returns the number of elements in this data collection.
`SpecieReference[]` | `getSpecieReferences()`
`java.lang.String` | `getSpecieTitle(java.lang.Integer index, java.lang.Object obj)`
`java.lang.String` | `getType()`
`void` | `init()`
`boolean` | `isFast()`
`boolean` | `isMutable()` Returns true if this data collection is mutable, false otherwise.
`boolean` | `isPropagationEnabled()`
`boolean` | `isReversible()`
`java.util.Iterator` | `iterator()` Returns an iterator over the data elements in this collection.
`void` | `propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)`
`void` | `propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)`
`DataElement` | `put(DataElement obj)` Adds the specified data element to the collection.
`void` | `release(java.lang.String dataElementName)` Release DataElement with the specified name from the DataCollection cache.
`void` | `remove(java.lang.String name)` Removes the specified data element from the collection, if present.
`void` | `removeDataCollectionListener(DataCollectionListener l)` Remove a listener from the list that's notified each time a change to the data collection occurs.
`void` | `setFast(boolean fast)`
`void` | `setKineticLaw(KineticLaw kineticLaw)`
`void` | `setPropagationEnabled(boolean propagationEnabled)`
`void` | `setReversible(boolean reversible)`
`void` | `setSpecieReferences(SpecieReference[] species)` Should be used only to load initial set of specie references.

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataCollection
`isNotificationEnabled, setNotificationEnabled`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface biouml.model.dynamics.FormulaDelegate
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### log

    protected static org.apache.log4j.Category log

### NAME_FORMAT

    public static java.text.DecimalFormat NAME_FORMAT

  Format to generate unique name for new reaction instance.

### kineticLaw

    protected KineticLaw kineticLaw

### reversible

    protected boolean reversible

### fast

    protected boolean fast

### collection

    protected VectorDataCollection collection

  Primary collection.

Constructor Detail

### Reaction

    public Reaction(DataCollection origin,
                    java.lang.String name)

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Base`
  Overrides:
    `getType` in class `BaseSupport`

### getSpecieTitle

    public java.lang.String getSpecieTitle(java.lang.Integer index,
                                           java.lang.Object obj)

### getSpecieReferences

    public SpecieReference[] getSpecieReferences()

### setSpecieReferences

    public void setSpecieReferences(SpecieReference[] species)

  Should be used only to load initial set of specie references.

### getKineticLaw

    public KineticLaw getKineticLaw()

### setKineticLaw

    public void setKineticLaw(KineticLaw kineticLaw)

### isReversible

    public boolean isReversible()

### setReversible

    public void setReversible(boolean reversible)

### isFast

    public boolean isFast()

### setFast

    public void setFast(boolean fast)

### getFormula

    public java.lang.String getFormula()

  Specified by:
    `getFormula` in interface `FormulaDelegate`

### getInfo

    public DataCollectionInfo getInfo()

  Description copied from interface: `DataCollection`
  Returns additional info for this data collection. Can return `null`.

  Specified by:
    `getInfo` in interface `DataCollection`
  Returns:
    Additional info for this data collection.
  See Also:
    `DataCollectionInfo`

### getSize

    public int getSize()

  Description copied from interface: `DataCollection`
  Returns the number of elements in this data collection.

  Specified by:
    `getSize` in interface `DataCollection`
  Returns:
    Size of this data collection.

### getDataElementType

    public java.lang.Class getDataElementType()

  Description copied from interface: `DataCollection`
  Returns the type of DataElements stored in the data collection.

  Specified by:
    `getDataElementType` in interface `DataCollection`
  Returns:
    Type of DataElements stored in the data collection.

### isMutable

    public boolean isMutable()

  Description copied from interface: `DataCollection`
  Returns true if this data collection is mutable, false otherwise.

  Specified by:
    `isMutable` in interface `DataCollection`
  Returns:
    true if primary data collection is mutable,
    false otherwise..

### contains

    public boolean contains(java.lang.String name)

  Description copied from interface: `DataCollection`
  Returns true if this data collection contains the element with the specified name, false otherwise

  Specified by:
    `contains` in interface `DataCollection`
  Parameters:
    `name` - name of data element
  Returns:
    true if this data collection contains the element with specified name,
    false otherwise

### contains

    public boolean contains(DataElement de)

  Description copied from interface: `DataCollection`
  Returns true if this data collection contains the specified element, false otherwise

  Specified by:
    `contains` in interface `DataCollection`
  Parameters:
    `de` - specified data element
  Returns:
    true if this data collection contains the element wit specified name,
    false otherwise

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `DataCollection`
  Returns an iterator over the data elements in this collection. There are no guarantees concerning the order in which the elements are returned. If the data collection is modified while an iteration over it is in progress, the results of the iteration are undefined.

  Specified by:
    `iterator` in interface `DataCollection`

### getNameList

    public java.util.List getNameList()

  Description copied from interface: `DataCollection`
  Returns an unmodifiable view of the data element name list. Query operations on the returned list "read through" to the internal name list, and attempts to modify the returned list, whether direct or via its iterator, result in an `UnsupportedOperationException`. The returned list is backed by the data collection, so changes to the data collection are reflected in the returned list. The name list can be sorted or unsorted depending on the DataCollection implementing class.

  Specified by:
    `getNameList` in interface `DataCollection`
  Returns:
    list of names

### get

    public DataElement get(java.lang.String name)
                    throws java.lang.Exception

  Description copied from interface: `DataCollection`
  Returns the `DataElement` with the specified name. Returns `null` if the data collection contains no data element for this name.

  Specified by:
    `get` in interface `DataCollection`
  Throws:
    `java.lang.Exception`

### put

    public DataElement put(DataElement obj)
                    throws java.lang.Exception

  Description copied from interface: `DataCollection`
  Adds the specified data element to the collection. If the data collection previously contained the specified element, the old value is replaced.

  Specified by:
    `put` in interface `DataCollection`
  Returns:
    previous version of the data element, or null if there was no one.
  Throws:
    `java.lang.Exception`
  See Also:
    `DataCollection.isMutable()`

### remove

    public void remove(java.lang.String name)
                throws java.lang.Exception

  Description copied from interface: `DataCollection`
  Removes the specified data element from the collection, if present. Notifies all listeners if the data element was removed.

  Specified by:
    `remove` in interface `DataCollection`
  Returns:
    the removed data element.
  Throws:
    `java.lang.Exception` - If error occured.
  See Also:
    `DataCollection.isMutable()`

### addDataCollectionListener

    public void addDataCollectionListener(DataCollectionListener l)

  Description copied from interface: `DataCollection`
  Add a listener to the list that's notified each time a change to the data collection occurs.

  Specified by:
    `addDataCollectionListener` in interface `DataCollection`
  Parameters:
    `l` - the DataCollectionListener

### removeDataCollectionListener

    public void removeDataCollectionListener(DataCollectionListener l)

  Description copied from interface: `DataCollection`
  Remove a listener from the list that's notified each time a change to the data collection occurs.

  Specified by:
    `removeDataCollectionListener` in interface `DataCollection`
  Parameters:
    `l` - the DataCollectionListener

### getCompleteName

    public java.lang.String getCompleteName()

  Description copied from interface: `DataCollection`
  Returns complete name of data collection.

  Specified by:
    `getCompleteName` in interface `DataCollection`
  Returns:
    Full name of DataCollection in the tree hierarchy.

### close

    public void close()
               throws java.lang.Exception

  Description copied from interface: `DataCollection`
  Closes data collection, releases all resources. This method invalidates DataCollection instance.

  Specified by:
    `close` in interface `DataCollection`
  Throws:
    `java.lang.Exception` - If error occured.

### init

    public void init()

### release

    public void release(java.lang.String dataElementName)

  Description copied from interface: `DataCollection`
  Release DataElement with the specified name from the DataCollection cache.

  Specified by:
    `release` in interface `DataCollection`

### isPropagationEnabled

    public boolean isPropagationEnabled()

  Specified by:
    `isPropagationEnabled` in interface `DataCollection`

### setPropagationEnabled

    public void setPropagationEnabled(boolean propagationEnabled)

  Specified by:
    `setPropagationEnabled` in interface `DataCollection`

### propagateElementWillChange

    public void propagateElementWillChange(DataCollection source,
                                           DataCollectionEvent primaryEvent)

  Specified by:
    `propagateElementWillChange` in interface `DataCollection`

### propagateElementChanged

    public void propagateElementChanged(DataCollection source,
                                        DataCollectionEvent primaryEvent)

  Specified by:
    `propagateElementChanged` in interface `DataCollection`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.